/*
 * fptools.c, some helper functions for getcgi.c and uu(en|de)view
 *
 * Distributed by the GNU General Public License. Use and be happy.
 * Read http://www.uni-frankfurt.de/~fp/Tools/Getcgi.html for more
 * information.                     fp@informatik.uni-frankfurt.de
 */

/*
 * Some handy, nonstandard functions. Note that the original may
 * be both faster and better. ``better'', if your compiler allows
 * cleaner use of such functions by proper use of ``const''.
 *
 * $Id: fptools.h,v 1.2 2000/04/21 22:04:32 charles Exp $
 */

#ifndef __FPTOOLS_H__
#define __FPTOOLS_H__

#ifndef _ANSI_ARGS_
#ifdef PROTOTYPES
#define _ANSI_ARGS_(c)	c
#else
#define _ANSI_ARGS_(c)	()
#endif
#endif

#ifndef TOOLEXPORT
#define TOOLEXPORT
#endif

#ifdef __cplusplus
extern "C" {
#endif

char *	TOOLEXPORT	_FP_tempnam	_ANSI_ARGS_((char *, char *));
char *	TOOLEXPORT	_FP_fgets	_ANSI_ARGS_((char *, int, FILE *));
void	TOOLEXPORT	_FP_free	_ANSI_ARGS_((void *));
void *	TOOLEXPORT	_FP_memdup	_ANSI_ARGS_((void *, int));
char *	TOOLEXPORT	_FP_strdup	_ANSI_ARGS_((char *));
#ifndef _FP_strncpy
char *	TOOLEXPORT	_FP_strncpy	_ANSI_ARGS_((char *, char *, int));
#endif
#ifndef _FP_stricmp
int 	TOOLEXPORT	_FP_stricmp	_ANSI_ARGS_((char *, char *));
#endif
#ifndef _FP_strnicmp
int 	TOOLEXPORT	_FP_strnicmp	_ANSI_ARGS_((char *, char *, int));
#endif
#ifndef _FP_strrstr
char *	TOOLEXPORT	_FP_strrstr	_ANSI_ARGS_((char *, char *));
#endif
#ifndef _FP_stoupper
char *	TOOLEXPORT	_FP_stoupper	_ANSI_ARGS_((char *));
#endif
#ifndef _FP_stolower
char *	TOOLEXPORT	_FP_stolower	_ANSI_ARGS_((char *));
#endif
#ifndef _FP_strmatch
int 	TOOLEXPORT	_FP_strmatch	_ANSI_ARGS_((char *, char *));
#endif
#ifndef _FP_strstr
char *	TOOLEXPORT	_FP_strstr	_ANSI_ARGS_((char *, char *));
#endif
#ifndef _FP_stristr
char *	TOOLEXPORT	_FP_stristr	_ANSI_ARGS_((char *, char *));
#endif
#ifndef _FP_strirstr
char *	TOOLEXPORT	_FP_strirstr	_ANSI_ARGS_((char *, char *));
#endif
#ifndef _FP_strrchr
char *	TOOLEXPORT	_FP_strrchr	_ANSI_ARGS_((char *, int));
#endif
#ifndef _FP_strpbrk
char *	TOOLEXPORT	_FP_strpbrk	_ANSI_ARGS_((char *, char *));
#endif
#ifndef _FP_strtok
char *	TOOLEXPORT	_FP_strtok	_ANSI_ARGS_((char *, char *));
#endif
#ifndef _FP_cutdir
char *	TOOLEXPORT	_FP_cutdir	_ANSI_ARGS_((char *));
#endif
#ifndef _FP_strerror
char *	TOOLEXPORT	_FP_strerror	_ANSI_ARGS_((int));
#endif

#ifdef __cplusplus
}
#endif
#endif
